INSERT INTO BuildingClasses (Type, DefaultBuilding, Description)
SELECT 'BUILDINGCLASS_BT_DOCK', 'BUILDING_BT_DOCK', 'TXT_KEY_BT_DOCK';

INSERT INTO Buildings
		(Type, BuildingClass, Cost,	HurryCostModifier, GoldMaintenance, NearbyTerrainRequired, NukeImmune, ConquestProb, MinAreaSize, IconAtlas, PortraitIndex, Description, Help, Civilopedia, IsDummy)
SELECT 	'BUILDING_BT_DOCK', 'BUILDINGCLASS_BT_DOCK', -1, -20, 0, 'TERRAIN_COAST', 1, 100, -1, 'NAVALSUPPLY_ATLAS',	0, 'TXT_KEY_BUILDING_BT_DOCK', 'TXT_KEY_BUILDING_BT_DOCK_HELP', 'TXT_KEY_BUILDING_BT_DOCK_TEXT', 1;

/*
INSERT INTO Unit_BuildOnFound (UnitType, BuildingClassType) SELECT
Type, "BUILDINGCLASS_BT_DOCK" FROM Units WHERE Type IN (SELECT Type FROM Units WHERE Found = 1 or FoundAbroad = 1);
*/

/* you can use this to force give dock on all CS, but this will also allow navy production in lake CS.

INSERT INTO Civilization_FreeBuildingClasses (CivilizationType, BuildingClassType) VALUES
("CIVILIZATION_MINOR", "BUILDINGCLASS_BT_DOCK");
*/

-- Building_Flavors
INSERT INTO Building_Flavors (BuildingType, FlavorType, Flavor)
VALUES
	('BUILDING_BT_DOCK', 'FLAVOR_NAVAL', 30);

--Select one, default is no naval units

-- This makes all sea units (including cargoships&workboats) unbuildable
INSERT INTO Unit_BuildingClassRequireds (UnitType, BuildingClassType)
SELECT Type, 'BUILDINGCLASS_BT_DOCK' FROM Units WHERE Type IN (Select Type FROM Units WHERE Domain = "DOMAIN_SEA");

/* Uncomment this and delete the code above to block only naval melee and submarine units
	INSERT INTO Unit_BuildingClassRequireds (UnitType, BuildingClassType)
	SELECT Type, 'BUILDINGCLASS_BT_DOCK' FROM Units WHERE Type IN (Select Type FROM Units WHERE CombatClass IN ("UNITCOMBAT_NAVALMELEE", "UNITCOMBAT_SUBMARINE"));
*/
