-- Author:  balparmak
-- Date Created: 11/28/2021 05:40 AM
--------------------------------------------------------------
-- Checks whether the city is coastal, if so, gives dock

function GiveDock(PlayerID, iX, iY)
	local pPlayer = Players[PlayerID]
	local pPlot = Map.GetPlot(iX, iY)
	local pCity = pPlot:GetPlotCity()
	print(pCity:GetName().." IS FOUNDED")
	
	for direction = 0, DirectionTypes.NUM_DIRECTION_TYPES - 1, 1 do
		local pAdjacentPlot = Map.PlotDirection(pPlot:GetX(), pPlot:GetY(), direction)
		if pAdjacentPlot then 
			if pAdjacentPlot:IsWater() and not pAdjacentPlot:IsLake() then
				print(pCity:GetName().." IS COASTAL")
				pCity:SetNumRealBuilding(GameInfoTypes["BUILDING_BT_DOCK"],1)
				return
			else
				print(pCity:GetName().." IS NOT COASTAL")
			end
		end
	end
end

GameEvents.PlayerCityFounded.Add(GiveDock)
	