INSERT INTO BuildingClasses (Type, DefaultBuilding, Description)
SELECT 'BUILDINGCLASS_ANTI_SUPPLY', 'BUILDING_ANTI_SUPPLY', 'TXT_KEY_ANTI_SUPPLY';

INSERT INTO Buildings
		(Type, BuildingClass, Cost,	HurryCostModifier, GoldMaintenance, NearbyTerrainRequired, NukeImmune, ConquestProb, MinAreaSize, IconAtlas, PortraitIndex, Description, Help, Civilopedia)
SELECT 	'BUILDING_ANTI_SUPPLY', 'BUILDINGCLASS_ANTI_SUPPLY', -1, -20, 0, 'TERRAIN_COAST', 1, 0, -1, 'NAVALSUPPLY_ATLAS',	0, 'TXT_KEY_BUILDING_ANTI_SUPPLY', 'TXT_KEY_BUILDING_ANTI_SUPPLY_HELP', 'TXT_KEY_BUILDING_ANTI_SUPPLY_TEXT';

-- Building_Flavors
INSERT INTO Building_Flavors (BuildingType, FlavorType, Flavor)
VALUES
	('BUILDING_ANTI_SUPPLY', 'FLAVOR_NAVAL', 30);

INSERT INTO Civilization_FreeBuildingClasses (CivilizationType, BuildingClassType) VALUES
("CIVILIZATION_MINOR", "BUILDINGCLASS_ANTI_SUPPLY");

INSERT INTO Building_ResourceQuantity (BuildingType, ResourceType, Quantity) VALUES
("BUILDING_ANTI_SUPPLY", "RESOURCE_SAILORS", -1);

/* 
INSERT INTO Building_ResourceQuantityRequirements (BuildingType, ResourceType, Quantity) VALUES
("BUILDING_ANTI_SUPPLY", "RESOURCE_SAILORS", -1);
*/

INSERT INTO Language_en_US (Tag, Text) VALUES 
('TXT_KEY_BUILDING_ANTI_SUPPLY', ""),
('TXT_KEY_BUILDING_ANTI_SUPPLY_HELP', ""),
('TXT_KEY_BUILDING_ANTI_SUPPLY_TEXT', "");